%define upstream_name    Convert-GeekCode
%define upstream_version 0.63

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Convert and generate geek code sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
*Convert::GeekCode* converts and generates Geek Code sequences (cf. the
http://geekcode.com/ manpage). It supports different langugage codes and
user-customizable codesets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/geekdec
/usr/bin/geekgen
/usr/share/man

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.630.0-7pclos2017
- rebuild against updates

